# Get product classifications

`GET /v1/organizations/{organizationId}/product-classifications`

Available as MCP tool `get-org-products` (Read).

> **Deprecating soon**
>
> This endpoint will be deprecated soon. Talk to your Technical Account Manager about migrating or using new endpoints for this function. 

Transaction usage endpoints allow you to review and export transaction usage data for your current Redox contract. This allows you to easily monitor your usage and limits as you go.   

You can get details for all the Redox product(s) in your contract, retrieve metrics by product type, and export metrics.

### Get product classifications

> **Deprecating soon**
>
> This endpoint will be deprecated soon. Talk to your Technical Account Manager about migrating or using new endpoints for this function. 

Retrieve a list of Redox product(s) your organization has purchased (whether currently, previously, or for future use) and review contract details. You can modify the query to include only active (i.e., current) products and/or exclude duplicate listings for a Redox product. 

The response contains transaction limit details and contract dates for all relevant Redox product(s). 

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `organizationId` | path | string | Yes | Identifies the Redox organization that you're operating in. |
| `includeInactive` | query | boolean | No | Indicates whether inactive (i.e., either future or historical) Redox product(s) should be included in the response. |
| `includeDuplicates` | query | boolean | No | Indicates whether potentially duplicate Redox product(s) should be included in the response. The possibility of duplicates will likely be rare for active products; however, it may be possible for inactive product(s). |

## Request example

```bash
curl 'https://api.redoxengine.com/platform/v1/organizations/{organizationId}/product-classifications' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'accept: application/json'
```

## Responses

### 200

This endpoint returns a `payload` object containing your organization's Redox product(s) and their related classifications.

Contains the payload and metadata returned for `Get product classifications`.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `meta` | object | No |  |
| `meta.version` | string | No | Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences. |
| `payload` | object | No |  |
| `payload.activeProductClassifications` | Array of object | No | Contains the currently active Redox product classifications for an organization. |
| `payload.activeProductClassifications[].id` | string | No | Displays the UUID of the Redox product being used by a given organization. |
| `payload.activeProductClassifications[].name` | string | No | Displays the CRM internal name for the Redox product. |
| `payload.activeProductClassifications[].label` | string | No | Displays the human-readable name for the Redox product. |
| `payload.activeProductClassifications[].limit` | number | No | Defines the number of transactions purchased for the Redox product within the selected limit type. |
| `payload.activeProductClassifications[].consumptionPeriod` | string | No | Defines the time window for the transaction limit. `Month` and `Annual` mean that transaction usage limit resets each calendar month or year respectively. `Contract Term` means that the transaction usage doesn't reset; instead, the limit lasts for the duration of the contract. Possible values: Annual, Contract Term, Month |
| `payload.activeProductClassifications[].startDate` | string | No | Contains the date-time in ISO 8601 format to define the start of the Redox product contract. |
| `payload.activeProductClassifications[].endDate` | string | No | Contains the date-time in ISO 8601 format to define the end of the Redox product contract. |
| `payload.activeProductClassifications[].status` | string | No | Indicates the CRM status of the Redox product contract, whether active, future, or expired. Possible values: Active, Future, Expired |
| `payload.inactiveProductClassifications` | Array of object | No | Contains the expired or future product classifications for an organization. |
| `payload.inactiveProductClassifications[].id` | string | No | Displays the UUID of the Redox product being used by a given organization. |
| `payload.inactiveProductClassifications[].name` | string | No | Displays the CRM internal name for the Redox product. |
| `payload.inactiveProductClassifications[].label` | string | No | Displays the human-readable name for the Redox product. |
| `payload.inactiveProductClassifications[].limit` | number | No | Defines the number of transactions purchased for the Redox product within the selected limit type. |
| `payload.inactiveProductClassifications[].consumptionPeriod` | string | No | Defines the time window for the transaction limit. `Month` and `Annual` mean that transaction usage limit resets each calendar month or year respectively. `Contract Term` means that the transaction usage doesn't reset; instead, the limit lasts for the duration of the contract. Possible values: Annual, Contract Term, Month |
| `payload.inactiveProductClassifications[].startDate` | string | No | Contains the date-time in ISO 8601 format to define the start of the Redox product contract. |
| `payload.inactiveProductClassifications[].endDate` | string | No | Contains the date-time in ISO 8601 format to define the end of the Redox product contract. |
| `payload.inactiveProductClassifications[].status` | string | No | Indicates the CRM status of the Redox product contract, whether active, future, or expired. Possible values: Active, Future, Expired |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "meta": {
    "version": "1.0.0"
  },
  "payload": {
    "activeProductClassifications": [
      {
        "id": "4d1d5191-7d62-4f29-a26e-3e28d9082a3a",
        "name": "cm_access_ceq",
        "label": "Access CEQ",
        "limit": "4d1d5191-7d62-4f29-a26e-3e28d9082a3a",
        "consumptionPeriod": "Month",
        "startDate": "2023-01-01",
        "endDate": "2023-12-31",
        "status": "Active"
      }
    ],
    "inactiveProductClassifications": [
      {
        "id": "4d1d5191-7d62-4f29-a26e-3e28d9082a3a",
        "name": "cm_access_ceq",
        "label": "Access CEQ",
        "limit": "4d1d5191-7d62-4f29-a26e-3e28d9082a3a",
        "consumptionPeriod": "Month",
        "startDate": "2023-01-01",
        "endDate": "2023-12-31",
        "status": "Active"
      }
    ]
  }
}
```

### 400

Bad Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Bad Request`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Bad Request",
      "code": "validation.error.bad.request",
      "detail": "Error details",
      "status": 400,
      "transient": false
    }
  }
}
```

### 500

Internal Server Error

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Failed in step X`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Internal Server Error",
      "code": "failed.db.lookup",
      "detail": "Error details",
      "status": 500,
      "transient": true
    }
  }
}
```
